Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.functions
Class Fixed4ArgFunction

    java.lang.Object
      org.apache.poi.hssf.record.formula.functions.Fixed4ArgFunction

All Implemented Interfaces:
  Function, Function4Arg

Direct Known Subclasses:
  Replace

    public abstract class Fixed4ArgFunction

extends java.lang.Object
implements Function4Arg

Convenience base class for functions that must take exactly four arguments.

Author:
  Josh Micich

Constructor Summary
`Fixed4ArgFunction()`

Method Summary
`ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.hssf.record.formula.functions.Function4Arg
`evaluate`

Constructor Detail

### Fixed4ArgFunction

    public Fixed4ArgFunction()

Method Detail

### evaluate

    public final ValueEval evaluate(ValueEval[] args,
                                    int srcRowIndex,
                                    int srcColumnIndex)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD